Skip to navigation

Get versions of elastic template

View as Markdown

Gets all the versions of an elastic template for an account.

Required authentication scopes: click.manage.

This example shows three versions: two major versions (1.0 and 2.0), and one minor version (2.1).

{
"accountId": ""624e3e00-xxxx-xxxx-xxxx-43918c520dab",
"clickwrapId": ""b4cb1e3a-xxxx-xxxx-xxxx-3b3c21b853ea",
"clickwrapName": "The name of this",
"versions": [
{
"versionId": ""0df7af2d-xxxx-xxxx-xxxx-c2b960b73fef",
"versionNumber": "2.1",
"status": "active",
"createdTime": "2023-02-24T01:45:21.0138703Z",
"lastModified": "2023-02-24T01:45:25.8540652Z",
"lastModifiedBy": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
"requireReacceptance": false,
"ownerUserId": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
"dataFields": []
},
{
"versionId": ""4976a2f5-xxxx-xxxx-xxxx-dc1fd3b97c15",
"versionNumber": "2.0",
"status": "inactive",
"createdTime": "2023-02-24T01:36:07.6852505Z",
"lastModified": "2023-02-24T01:45:25.8853154Z",
"lastModifiedBy": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
"requireReacceptance": true,
"ownerUserId": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
"dataFields": []
},
{
"versionId": ""987e83d7-xxxx-xxxx-xxxx-5348c4f89dca",
"versionNumber": "1.0",
"status": "inactive",
"createdTime": "2023-02-24T01:17:59.806101Z",
"lastModified": "2023-02-24T01:36:11.1843708Z",
"lastModifiedBy": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
"requireReacceptance": true,
"ownerUserId": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
"dataFields": []
}
],
"page": 0,
"pageSize": 40,
"minimumPagesRemaining": 0
}

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.

Response

Successful response.
accountIdstringOptional

The external account number (int) or account ID GUID.

clickwrapIdstringOptional
The GUID of the elastic template.
clickwrapNamestringOptional
The name of the elastic template.
minimumPagesRemainingintegerOptional
An array of clickwrap versions.
pageintegerOptional
The number of the current page.
pageSizeintegerOptional
The number of items per page.
versionslist of objectsOptional
An array of elastic template versions.

Errors

400
Bad Request Error